<?xml version="1.0" encoding="UTF-8"?>
<!--
    Copyright (c) 2007, 2019 IBM Corporation and others.
    This program and the accompanying materials
    are made available under the terms of the Eclipse Public License 2.0
    which accompanies this distribution, and is available at
    https://www.eclipse.org/legal/epl-2.0/

    SPDX-License-Identifier: EPL-2.0

    Contributors:
        IBM Corporation - initial API and implementation
 -->

<project
    default="build"
    basedir=".">
    <fail unless="wtp.builder.home"/>
    <property file="${wtp.builder.home}/build.properties"/>

    <property environment="env"/>

    <!-- required to get proper value of doCreateFprojZips -->
    <property
        name="keyCfgFile"
        value="${env.PROJECT_BUILDERS}/${projectname}/${env.RELENG}/maps/build.cfg"/>
    <echo
        level="info"
        message="keyCfgFile: ${keyCfgFile}"/>
    <property file="${keyCfgFile}"/>

    <echo message="transformedRepoLocation: ${transformedRepoLocation}"/>
    <mkdir dir="${transformedRepoLocation}"/>


    <!-- main -->
    <target
        name="build"
        depends="getBaseBuilder">

        <property
            name="buildTargets"
            value="${wtp.builder.home}/scripts/build/runbuild.xml"/>

        <ant antfile="${wtp.builder.home}/scripts/build/label.xml"/>

        <property
            name="dependency.properties"
            value="${buildDirectory}/maps/${env.RELENG}/${dependencyFileLocation}"/>


        <echo
            level="debug"
            message="invoking buildTargets: ${buildTargets} to build for each component"/>


        <ant antfile="${buildTargets}">
            <property
                name="component"
                value="wtp-buildTools"/>
        </ant>

        <!-- we fail for compilation problems only at end, so everything gets a chance to try 
             and compile -->
        <ant antfile="${wtp.builder.home}/scripts/build/checkForCompilationProblems.xml"/>

        <!-- 
        copy early, before tests, packaging, etc., both for early look, and 
        to make sure we don't lose what we have, if there is a subsequent build failure. 
        -->
        <ant antfile="${wtp.builder.home}/scripts/build/copyArtifactsEarly.xml"/>



    </target>



    <!-- invoking runbuild.xml targetting getBaseBuilder -->
    <target
        name="getBaseBuilder"
        if="eclipse.builder.fetch">

        <ant
            antfile="${wtp.builder.home}/scripts/build/runbuild.xml"
            target="getBaseBuilder"/>

    </target>



</project>